CollectionsDirect DebitAuthorizations

List Direct Debit Authorizations

GET
/v1/direct-debit-authorizations

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"
status?string

Filter by direct debit authorization status.

Value in

  • "REQUIRES_AUTHORIZATION"
  • "PROCESSING"
  • "SUBMITTED"
  • "SUCCEEDED"
  • "FAILED"
  • "REQUIRES_AUTHORIZATION_FOR_CANCELLATION"
  • "CANCELED"

Response Body

*/*

application/json

application/json

curl -X GET "https://example.com/v1/direct-debit-authorizations"

One page of authorizations across all countries.

{
  "data": [
    {
      "id": "dda_0J7Q6A3M8V5X1",
      "billReferenceNumber": "A0012334455",
      "payerSwiftBic": "DBSSSGSGXXX",
      "payerBankCode": null,
      "payerSegment": "RETAIL",
      "payerName": "Richard Hendricks",
      "payerBankAccountNumber": "0052312891",
      "payerIdHash": "a3f0d8331c9d860aa685df22501d",
      "payerIdType": "NRIC",
      "status": "SUCCEEDED",
      "failureReason": null,
      "underlyingErrorMessage": null,
      "startDate": "2026-09-09",
      "precheckMinAmount": null,
      "precheckMaxAmount": 100000,
      "precheckCurrency": "SGD",
      "maxAmount": 100000,
      "maxAmountCurrency": "SGD",
      "payerAuthorizedMaxAmount": 100000,
      "endDate": "2042-04-24",
      "authorizeUrl": null,
      "cancelUrl": null,
      "returnUrl": "https://example.com/return",
      "cancelReturnUrl": null,
      "transactionReference": "EG2026090900012345",
      "createdAt": "2026-09-09T02:10:11.204118Z",
      "updatedAt": "2026-09-09T02:13:42.318189Z"
    },
    {
      "id": "dda_0J7Q6G8W6N2Z7",
      "billReferenceNumber": "A0012334455",
      "payerSwiftBic": null,
      "payerBankCode": "004",
      "payerSegment": null,
      "payerName": "Wong Ka Ming",
      "payerBankAccountNumber": "0100123456",
      "payerIdHash": null,
      "payerIdType": null,
      "status": "SUCCEEDED",
      "failureReason": null,
      "underlyingErrorMessage": null,
      "startDate": "2026-09-09",
      "precheckMinAmount": null,
      "precheckMaxAmount": 99999900,
      "precheckCurrency": "HKD",
      "maxAmount": 99999900,
      "maxAmountCurrency": null,
      "payerAuthorizedMaxAmount": 0,
      "endDate": "2099-12-31",
      "authorizeUrl": null,
      "cancelUrl": null,
      "returnUrl": null,
      "cancelReturnUrl": null,
      "transactionReference": "SCBHK2026090900456",
      "createdAt": "2026-09-09T02:20:05.093352Z",
      "updatedAt": "2026-09-10T01:05:44.506731Z"
    }
  ],
  "hasMore": false
}